# !/bin/bash

# sample.txt:
#   1,Apple,Color is Red
#   2,Mango,Color is Orange
#   3,Banana,Color is Yellow

input="./sample.txt"
tableName="myfruits"
lineFormat="(code,name,color)"

while read -r line;
do

   code=$(echo $line | awk -F, '{print $1}')
   name=$(echo $line | awk -F, '{print $2}')
   color=$(echo $line | awk -F, '{print $3}')

   echo "insert into ${tableName} ${lineFormat} values (${code},\"${name}\",\"${color}\")"
done < "$input"